<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" style="background-image: url(images/right.jpg); background-repeat: repeat-y; background-position: right;">
  <tr>
    <td height="240" colspan="2" background="images/ab_02.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="240" align="right"  style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: left bottom; padding-right: 15px; ">
<!-- LOGO -->
	<table  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
            </tr>
            <tr>
              <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
            </tr>
            <tr>
              <td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
            </tr>
          </table>
<!-- END LOGO -->
		  </td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="52" style="background-image: url(images/ab_05.jpg); padding-left: 50px; padding-right: 50px;">
<!-- MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
      <tr>
	   <xsl:call-template name="TOP-MENU"/>
      </tr>
    </table>
<!-- END MENU -->
	</td>
    <td width="223" style="background-image: url(images/ab_05.jpg);"></td>
  </tr>
  <tr>
    <td width="100%" height="100%" valign="top" background="images/ab_19.jpg"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td style="padding: 25px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/ab_15.jpg" width="25" height="21" alt="" /></td>
		  		</tr>
			</table></td>
      </tr>
      <tr>
        <td height="1" bgcolor="#DEDEDE"></td>
      </tr>
      <tr>
        <td valign="top" style="padding: 20px;" width="100%" height="100%">
	   		<table width="100%" height="100%">
   		    <tr><td valign="top" width="100%" height="100%" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
   		    </tr></table>
			<!-- END CONTENT -->
		</td>
      </tr>
    </table></td>
    <td valign="top" style="background-image: url(images/ab_23.jpg);
	background-repeat: no-repeat;
	background-position: center bottom; padding-top: 0px;
	padding-bottom: 165px;">
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="223" height="244" align="center" valign="top" style="background-image: url(images/ab_13.jpg);
	background-repeat: no-repeat;
	background-position: center top;  ">
<!-- SUBMENU -->
	<table width="223"  border="0" cellspacing="0" cellpadding="0">
	   <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
    </table>
<!-- END SUBMENU -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr align="right" valign="bottom">
  <td background="images/ab_25.jpg" height="51"><img src="images/ab_26.jpg" width="434" height="51" alt="" /></td>
  <td width="223" height="51"><img src="images/ab_27.jpg" width="223" height="51" alt="" /></td>
  </tr>
  <tr>
    <td height="102" bgcolor="#FFFFFF" style="background-image: url(images/ab_28.jpg);
	background-repeat: no-repeat;
	background-position: left top;"><div align="right">
      <table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="102" style="background-image: url(images/ab_30.jpg);
	background-repeat: no-repeat;
	background-position: right top; padding-left: 20px;">
<!-- BOTTOM MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
            <tr>
			 <xsl:call-template name="BOTTOM-MENU"/>
            </tr>
          </table>
<!-- END BOOTTOM MENU -->
		  </td>
        </tr>
      </table>
    </div></td>
    <td height="102" background="images/ab_31.jpg">
	<!-- FOOTER -->
	<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
	<!-- END FOOTER -->
	</td>
  </tr>
</table>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
              <tr style="background-image: url(images/bg.gif);
	background-repeat: repeat-y;
	background-position:left; ">
            <td width="200" align="left" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            <td width="23" height="40"><img src="images/sub.gif" width="10" height="15" /></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td width="200" align="left"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            <td width="23" height="40"><img src="images/sub.gif" width="10" height="15" /></td>
          </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
    <tr>
        <td colspan="2"><img src="images/line.gif" width="223" height="1" /></td>
    </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
    <td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
     <td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
   <td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>       
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
   <td width="20" align="center" class="bmenu">|</td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
